Bug 150374 - netdump chokes on eth1 device in /etc/sysconfig/netdump
netdump chokes on eth1 device in /etc/sysconfig/netdump
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: netdump (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeffrey Moyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-04 23:13 EST by p thompson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-18 09:18:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description p thompson 2005-03-04 23:13:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Ethernet configuration on host, two eepro100 NIC's:

02:0d.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100]
(rev 05)
        Subsystem: Intel Corp. EtherExpress PRO/100+ Management Adapter

02:0d.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100]
(rev 05)
        Subsystem: Intel Corp. EtherExpress PRO/100+ Management Adapter


{public internet}
eth0      Link encap:Ethernet  HWaddr 00:90:27:1C:3A:81
          inet addr:24.106.25.221  Bcast:255.255.255.255  
Mask:255.255.255.0
{private network}
eth1      Link encap:Ethernet  HWaddr 00:90:27:35:D2:B2
          inet addr:192.168.0.1  Bcast:192.168.0.255  Mask:255.255.255.0

/etc/sysconfig/netdump with no DEV= automatically assumes eth0,
but can't communicate with the netdump-server which is on eth1.

see syslog below
<snip>
 LOCALPORT=6666
# DEV=eth1
 NETDUMPADDR=192.168.0.5
 NETDUMPPORT=6666
 NETDUMPMACADDR=00:D0:B7:C0:E9:1E
 IDLETIMEOUT=
 NETDUMPKEYEXCHANGE=none

syslog on 192.168.0.1
Mar  4 21:59:09 monotheletisia kernel: netdump: local port 6666
Mar  4 21:59:09 monotheletisia kernel: netdump: local IP 24.106.25.221
Mar  4 21:59:09 monotheletisia kernel: netdump: interface eth0
Mar  4 21:59:09 monotheletisia kernel: netdump: remote port 6666
Mar  4 21:59:09 monotheletisia kernel: netdump: remote IP 192.168.0.5
Mar  4 21:59:09 monotheletisia kernel: netdump: remote ethernet
address 00:d0:b7
:c0:e9:1e
Mar  4 21:59:09 monotheletisia kernel: netdump: network crash dump enabled
Mar  4 21:59:09 monotheletisia netdump: initializing netdump succeeded
Mar  4 21:59:09 monotheletisia kernel: netconsole: local port 6665
Mar  4 21:59:09 monotheletisia kernel: netconsole: local IP 24.106.25.221
Mar  4 21:59:09 monotheletisia kernel: netconsole: interface eth0
Mar  4 21:59:09 monotheletisia kernel: netconsole: remote port 514
Mar  4 21:59:09 monotheletisia kernel: netconsole: remote IP 192.168.0.5
Mar  4 21:59:09 monotheletisia kernel: netconsole: remote ethernet
address 00:d0
:b7:c0:e9:1e
Mar  4 21:59:09 monotheletisia kernel: netlog: local port 6664
Mar  4 21:59:09 monotheletisia kernel: netlog: local IP 24.106.25.221
Mar  4 21:59:09 monotheletisia kernel: netlog: interface eth0
Mar  4 21:59:09 monotheletisia netdump: initializing netconsole succeeded

When the DEV=eth1 parameter is put back in, netdump won't start
/etc/sysconfig/netdump
{snip}
 DEV=eth1
[root@monotheletisia scripts]# service netdump restart
netdump: eth1 must be an ethernet interface
netdump eth1 configuration                                 [FAILED]



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.DEV=eth1 in /etc/sysconfig/netdump
2.  service netdump restart
3.
    

Actual Results:  netdump: eth1 must be an ethernet interface
netdump eth1 configuration                                 [FAILED]



Expected Results:  Dumps pump out eth1

Additional info:
Comment 1 p thompson 2005-03-04 23:14:32 EST
Linux monotheletisia 2.6.10-1.766_FC3 #1 Wed Feb 9 23:06:42 EST 2005
i686 i686 i386 GNU/Linux
netdump-server-0.7.0-1
kernel-utils-2.4-13.1.49_FC3
kernel-doc-2.6.10-1.766_FC3
netdump-0.7.0-1
kernel-2.6.10-1.766_FC3
Comment 2 Jeffrey Moyer 2005-03-08 08:50:55 EST
Yup, I was able to reproduce this in-house.  I'll take a look.
Comment 3 Jeffrey Moyer 2005-08-01 15:46:35 EDT
Please try the rawhide version of netdump.  It has some changes to the init
script which should address this issue.  You can find a copy of the package here:
  http://people.redhat.com/jmoyer/bz150374/

Let me know how the testing goes.

Thanks.
Comment 4 p thompson 2005-08-01 17:53:59 EDT
service netdump restart
initializing netdump FATAL: Module netdump not found.
                                                           [FAILED]
initializing netconsole                                    [  OK  ]
[root@monotheletisia thompson]# dmesg -c
SMB connection re-established (-5)
netconsole: Unknown parameter `netlog'
netconsole: local port 6665
netconsole: local IP 192.168.0.1
netconsole: interface eth1
netconsole: remote port 514
netconsole: remote IP 192.168.0.5
netconsole: remote ethernet address 00:d0:b7:c0:e9:1e
netconsole: network logging started

kernel-devel-2.6.12-1.1372_FC3
netdump-0.7.10-4

The most promising results so far.  I have not had the problems lately with the
kernel which caused all my trouble that started me down the netdump path but I
will update when appropriate.
Comment 5 Jeffrey Moyer 2005-08-02 08:01:50 EDT
Hmm, it seems that the netdump module isn't being built in fc3?  I thought that
was resolved.  I'll have a look at that issue.

Thanks for the quick test turn-around!
Comment 6 p thompson 2005-09-20 15:13:18 EDT
Things look promising, is there an easy way to test things without an actual crash?
Comment 7 Jeffrey Moyer 2005-09-20 15:20:58 EDT
Sure, you could test using netconsole (aka netlog).  there should be a log file
created on the server when the netconsole module is inserted.  Or, you could
trigger one using sysrq-h.
Comment 8 Jeffrey Moyer 2006-04-17 15:04:53 EDT
It's unclear to me what the state of this bug is.  Is the issue addressed for you?
Comment 9 p thompson 2006-04-17 23:50:12 EDT
I believe this is corrected
Comment 10 Jeffrey Moyer 2006-04-18 09:18:52 EDT
OK.  I'm guessing this was fixed in fc4, not fc3.  I'm going to resolve it as
NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.